/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TopsAuditModel.as 19384 2010-03-08 18:41:14Z mancelin $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.auditconsole.model {
import mx.collections.ArrayCollection;

import mx.collections.Sort;
import mx.controls.Alert;

import org.ow2.jonas.admin.auditconsole.vo.GenericAuditReportVO;
import org.ow2.jonas.admin.auditconsole.vo.InvocationAuditReportVO;
import org.ow2.jonas.admin.auditconsole.vo.JNDIAuditReportVO;
import org.ow2.jonas.admin.auditconsole.vo.WebInvocationAuditReportVO;

/**
 * Most called resources on the application server.
 */
public class TopsAuditModel {

    [Bindable]
    public var topGlobal:ArrayCollection = new ArrayCollection();

    [Bindable]
    public var topJNDI:ArrayCollection = new ArrayCollection();

    [Bindable]
    public var topEJB:ArrayCollection = new ArrayCollection();

    [Bindable]
    public var topWEB:ArrayCollection = new ArrayCollection();

    public var topLimit:int = 5;

    public function TopsAuditModel() {}
}
}